Bug 1851841 - zchunk issue with packagekit
Summary: zchunk issue with packagekit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-29 08:34 UTC by Alessio
Modified: 2020-10-27 01:20 UTC (History)
7 users (show)

Fixed In Version: libdnf-0.54.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-18 15:49:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessio 2020-06-29 08:34:15 UTC
Sorry, I don't know if this report should be opened against packagekit.

There are edge cases where zchunk files have issues while downloaded (see for instance BZ#1830512) and it could be useful to set zchunk=False in /etc/dnf/dnf.conf

The option zchunk=False is taken into account by the dnf command, indeed issuing "sudo dnf makecache", in the "/var/cache/dnf/" directory there will be not ".zck" files.

Conversely, issuing "sudo pkcon -v refresh force" and looking in the "/var/cache/PackageKit/32/" there are ".zck" files even if zchunk is set to False

There is some missing option in packagekit? Does libdnf doesn't take into account the zchunk=False when used by packagekit?

Comment 1 amatej 2020-07-14 15:58:24 UTC
Here is a PR that should fix this issue: https://github.com/rpm-software-management/libdnf/pull/998
And tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/864

The code mentions microdnf instead of packagekit but they use libdnf in the same way so the fix applies to both.

Comment 2 Fedora Update System 2020-10-08 11:59:43 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 3 Fedora Update System 2020-10-08 12:00:40 UTC
FEDORA-2020-5d9f0ce2b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

Comment 4 Fedora Update System 2020-10-08 22:19:51 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-12 21:16:06 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 6 Fedora Update System 2020-10-12 21:23:41 UTC
FEDORA-2020-5d9f0ce2b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

Comment 7 Fedora Update System 2020-10-12 22:45:22 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-13 20:18:19 UTC
FEDORA-2020-5d9f0ce2b3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5d9f0ce2b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d9f0ce2b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-18 15:49:23 UTC
FEDORA-2020-5d9f0ce2b3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-19 16:53:42 UTC
FEDORA-2020-b40fc174b5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

Comment 11 Fedora Update System 2020-10-20 14:22:56 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b40fc174b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b40fc174b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-27 01:20:55 UTC
FEDORA-2020-b40fc174b5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.